import Footer from "./footer";
import Navbar from "./navbar";

type ContainerProps = {
  children: React.ReactNode;
};

export default function Container({ children }: ContainerProps) {
  return (
    <div className="container mx-auto text-white h-screen min-h-full flex flex-col">
      <Navbar />
      <div className="pt-2 w-full flex-1">{children}</div>
      <Footer />
    </div>
  );
}
