import { Config } from "@/app/config";
import { getCommitData } from "@/app/utils/gitUtils";
import Link from "next/link";
import { Card, CardContent } from "./card";

const commitData = getCommitData();

export default function Footer() {
  return (
    <footer className="pt-3 pb-3 flex flex-col items-center justify-normal">
      <Card className="w-fit">
        <CardContent className="flex flex-col gap-2 justify-center items-center">
          <p>{Config.siteName}</p>

          <Link
            className="transform-gpu text-sm text-gray-400 transition-all hover:opacity-80"
            href={commitData.gitUrl}
            target="_blank"
          >
            Build ID: {commitData.buildId} ({commitData.buildTime})
          </Link>
        </CardContent>
      </Card>
    </footer>
  );
}
