import Link from "next/link";
import { Button } from "./button";
import { Card, CardContent } from "./card";

type ButtonConfig = {
  text: string;
  href: string;
};

type NavbarConfig = {
  buttons: ButtonConfig[];
};

const config: NavbarConfig = {
  buttons: [
    {
      text: "Home",
      href: "/",
    },
    {
      text: "Minecraft",
      href: "/minecraft",
    },
  ],
};

export default function Navbar() {
  return (
    <Card>
      <CardContent className="pb-1 pt-1">
        <div className="flex flex-row justify-between">
          <div className="flex flex-row space-x-2">
            {config.buttons.map((button, i) => (
              <Link href={button.href} key={i}>
                <Button variant={"ghost"} size="sm">
                  {button.text}
                </Button>
              </Link>
            ))}
          </div>
        </div>
      </CardContent>
    </Card>
  );
}
