import { isProduction } from "./utils";

/**
 * Returns the build ID, build time, and git URL.
 *
 * @returns the data
 */
export function getCommitData() {
  const buildId = process.env.NEXT_PUBLIC_BUILD_ID
    ? isProduction()
      ? process.env.NEXT_PUBLIC_BUILD_ID.slice(0, 7)
      : "dev"
    : "";
  const buildTime = process.env.NEXT_PUBLIC_BUILD_TIME;
  const gitUrl = isProduction()
    ? `https://git.fascinated.cc/Fascinated/personal-website/commit/${buildId}`
    : "https://git.fascinated.cc/Fascinated/personal-website";

  return { buildId, buildTime, gitUrl };
}
